Debian Bug report logs - #652061
elmerfem: FTBFS missing build-dependencvy?

version graph

Package: src:elmerfem; Maintainer for src:elmerfem is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Wed, 14 Dec 2011 15:03:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version elmerfem/6.1.0.svn.5396.dfsg-3

Fixed in version elmerfem/6.1.0.svn.5396.dfsg-4

Done: Adam C Powell IV <hazelsct@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Wed, 14 Dec 2011 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 14 Dec 2011 15:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: elmerfem: FTBFS missing build-dependencvy?
Date: Wed, 14 Dec 2011 16:01:32 +0100
Package: src:elmerfem
Version: 6.1.0.svn.5396.dfsg-3
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

checking for dseupd_ in -larpack... yes
configure: WARNING: No parallel arpack found.
checking for pdneupd_ in -lparpack... no
checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
checking for dmumps_ in -ldmumps_scotch... yes
checking for umfpack_di_defaults in -lumfpack... yes
checking for mtc_init in -lmatc... yes
configure: error: The MPI version needs parpack. Disabling MPI.
checking for main in -lm... yes
make: *** [stamp-build] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=kfreebsd-amd64&ver=6.1.0.svn.5396.dfsg-3&stamp=1323818113

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Wed, 14 Dec 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 14 Dec 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 652061@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Christoph Egger <christoph@debian.org>, 652061@bugs.debian.org
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Wed, 14 Dec 2011 11:58:38 -0500
[Message part 1 (text/plain, inline)]
Hi Christoph,

On Wed, 2011-12-14 at 16:01 +0100, Christoph Egger wrote:
> Package: src:elmerfem
> Version: 6.1.0.svn.5396.dfsg-3
> Severity: serious
> Tags: sid wheezy
> Justification: fails to build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the buildds:
> 
> checking for dseupd_ in -larpack... yes
> configure: WARNING: No parallel arpack found.
> checking for pdneupd_ in -lparpack... no
> checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
> checking for dmumps_ in -ldmumps_scotch... yes
> checking for umfpack_di_defaults in -lumfpack... yes
> checking for mtc_init in -lmatc... yes
> configure: error: The MPI version needs parpack. Disabling MPI.
> checking for main in -lm... yes
> make: *** [stamp-build] Error 1

Thanks for the report.  Hmm, libparpack.so is still there, but doesn't
have this symbol.  Requires further investigation.  I should be able to
get to it in the next day or two.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Wed, 14 Dec 2011 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 14 Dec 2011 17:54:07 GMT) Full text and rfc822 format available.

Message #15 received at 652061@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>, 652061@bugs.debian.org
Cc: Christoph Egger <christoph@debian.org>
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Wed, 14 Dec 2011 18:50:44 +0100
Le mercredi 14 décembre 2011 à 11:58 -0500, Adam C Powell IV a écrit :
> Hi Christoph,
> 
> On Wed, 2011-12-14 at 16:01 +0100, Christoph Egger wrote:
> > Package: src:elmerfem
> > Version: 6.1.0.svn.5396.dfsg-3
> > Severity: serious
> > Tags: sid wheezy
> > Justification: fails to build from source (but built successfully in the past)
> > 
> > Hi!
> > 
> > Your package failed to build on the buildds:
> > 
> > checking for dseupd_ in -larpack... yes
> > configure: WARNING: No parallel arpack found.
> > checking for pdneupd_ in -lparpack... no
> > checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
> > checking for dmumps_ in -ldmumps_scotch... yes
> > checking for umfpack_di_defaults in -lumfpack... yes
> > checking for mtc_init in -lmatc... yes
> > configure: error: The MPI version needs parpack. Disabling MPI.
> > checking for main in -lm... yes
> > make: *** [stamp-build] Error 1
> 
> Thanks for the report.  Hmm, libparpack.so is still there, but doesn't
> have this symbol.  Requires further investigation.  I should be able to
> get to it in the next day or two.
hmhm, this is likely to be my fault.
We (Debian, Scilab & Octave) released a new version of arpack (since
upstream is dead) [1]. We applied some patches from gentoo to switch to
autotools. 
It might be the cause of your issue.
Do you know which symbol is missing ?

Sylvestre
[1] http://forge.scilab.org/index.php/p/arpack-ng/






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Wed, 14 Dec 2011 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 14 Dec 2011 19:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 652061@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 652061@bugs.debian.org
Cc: Christoph Egger <christoph@debian.org>
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Wed, 14 Dec 2011 14:31:24 -0500
[Message part 1 (text/plain, inline)]
Hi Sylvestre,

On Wed, 2011-12-14 at 18:50 +0100, Sylvestre Ledru wrote:
> Le mercredi 14 décembre 2011 à 11:58 -0500, Adam C Powell IV a écrit :
> > Hi Christoph,
> > 
> > On Wed, 2011-12-14 at 16:01 +0100, Christoph Egger wrote:
> > > Package: src:elmerfem
> > > Version: 6.1.0.svn.5396.dfsg-3
> > > Severity: serious
> > > Tags: sid wheezy
> > > Justification: fails to build from source (but built successfully in the past)
> > > 
> > > Hi!
> > > 
> > > Your package failed to build on the buildds:
> > > 
> > > checking for dseupd_ in -larpack... yes
> > > configure: WARNING: No parallel arpack found.
> > > checking for pdneupd_ in -lparpack... no
> > > checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
> > > checking for dmumps_ in -ldmumps_scotch... yes
> > > checking for umfpack_di_defaults in -lumfpack... yes
> > > checking for mtc_init in -lmatc... yes
> > > configure: error: The MPI version needs parpack. Disabling MPI.
> > > checking for main in -lm... yes
> > > make: *** [stamp-build] Error 1
> > 
> > Thanks for the report.  Hmm, libparpack.so is still there, but doesn't
> > have this symbol.  Requires further investigation.  I should be able to
> > get to it in the next day or two.
> hmhm, this is likely to be my fault.
> We (Debian, Scilab & Octave) released a new version of arpack (since
> upstream is dead) [1]. We applied some patches from gentoo to switch to
> autotools. 
> It might be the cause of your issue.
> Do you know which symbol is missing ?

From the build log, configure is looking for dseupd_ but I don't know
all of the symbols which Elmer uses.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Thu, 15 Dec 2011 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 15 Dec 2011 13:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 652061@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 652061@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>, Christoph Egger <christoph@debian.org>
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Thu, 15 Dec 2011 08:25:58 -0500
[Message part 1 (text/plain, inline)]
clone 652061 -1
reassign -1 libarpack2-dev
retitle -1 Removed symbols needed by other packages
found -1 3.0.1-1
block 652061 by -1
thanks

On Wed, 2011-12-14 at 14:31 -0500, Adam C Powell IV wrote:
> Hi Sylvestre,
> 
> On Wed, 2011-12-14 at 18:50 +0100, Sylvestre Ledru wrote:
> > Le mercredi 14 décembre 2011 à 11:58 -0500, Adam C Powell IV a écrit :
> > > Hi Christoph,
> > > 
> > > On Wed, 2011-12-14 at 16:01 +0100, Christoph Egger wrote:
> > > > Package: src:elmerfem
> > > > Version: 6.1.0.svn.5396.dfsg-3
> > > > Severity: serious
> > > > Tags: sid wheezy
> > > > Justification: fails to build from source (but built successfully in the past)
> > > > 
> > > > Hi!
> > > > 
> > > > Your package failed to build on the buildds:
> > > > 
> > > > checking for dseupd_ in -larpack... yes
> > > > configure: WARNING: No parallel arpack found.
> > > > checking for pdneupd_ in -lparpack... no
> > > > checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
> > > > checking for dmumps_ in -ldmumps_scotch... yes
> > > > checking for umfpack_di_defaults in -lumfpack... yes
> > > > checking for mtc_init in -lmatc... yes
> > > > configure: error: The MPI version needs parpack. Disabling MPI.
> > > > checking for main in -lm... yes
> > > > make: *** [stamp-build] Error 1
> > > 
> > > Thanks for the report.  Hmm, libparpack.so is still there, but doesn't
> > > have this symbol.  Requires further investigation.  I should be able to
> > > get to it in the next day or two.
> > hmhm, this is likely to be my fault.
> > We (Debian, Scilab & Octave) released a new version of arpack (since
> > upstream is dead) [1]. We applied some patches from gentoo to switch to
> > autotools. 
> > It might be the cause of your issue.
> > Do you know which symbol is missing ?
> 
> From the build log, configure is looking for dseupd_ but I don't know
> all of the symbols which Elmer uses.

Sounds like this is an arpack bug.  Please do "nm libparpack.so" on the
un-stripped libraries, old and new, to see what has been dropped and
figure out why.

I'll do so if I can get some time, but that might be mid-next week.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Bug 652061 cloned as bug 652264. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Thu, 15 Dec 2011 19:39:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 652061: 652264 Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Thu, 15 Dec 2011 19:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Mon, 19 Dec 2011 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 19 Dec 2011 00:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 652061@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>, 652061@bugs.debian.org
Cc: Christoph Egger <christoph@debian.org>
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Mon, 19 Dec 2011 01:30:13 +0100
Bonjour Adam,

Le jeudi 15 décembre 2011 à 08:25 -0500, Adam C Powell IV a écrit :
> 
> > From the build log, configure is looking for dseupd_ but I don't
> know
> > all of the symbols which Elmer uses.
> 
> Sounds like this is an arpack bug.  Please do "nm libparpack.so" on
> the
> un-stripped libraries, old and new, to see what has been dropped and
> figure out why.
> 
> I'll do so if I can get some time, but that might be mid-next week. 
I try to reproduce it but could not see what is going wrong on my amd64:

$ cat plop.c 
int main() {
	dseupd_();
	return 0;
}

$ gcc  -o plop plop.c -larpack
=> build against the lib without any problem on this symbol.

$ ldd plop
	linux-vdso.so.1 =>  (0x00007fff5f9ce000)
	libarpack.so.2 => /usr/lib/libarpack.so.2 (0x00007f8e07798000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f8e07414000)
	libblas.so.3gf => /usr/lib/libblas.so.3gf (0x00007f8e07177000)
	liblapack.so.3gf => /usr/lib/liblapack.so.3gf (0x00007f8e0657d000)
	libgfortran.so.3 => /usr/lib/x86_64-linux-gnu/libgfortran.so.3
(0x00007f8e06265000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f8e05fe2000)
	libquadmath.so.0 => /usr/lib/x86_64-linux-gnu/libquadmath.so.0
(0x00007f8e05dac000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f8e07a02000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1
(0x00007f8e05b96000)

Any idea ?
S








Added indication that bug 652061 blocks 654237 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 07:21:39 GMT) Full text and rfc822 format available.

Removed indication that bug 652061 blocks 654237 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 16:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Thu, 05 Jan 2012 11:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 05 Jan 2012 11:15:17 GMT) Full text and rfc822 format available.

Message #43 received at 652061@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 652061@bugs.debian.org
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Thu, 5 Jan 2012 12:11:00 +0100
* Christoph Egger <christoph@debian.org>, 2011-12-14, 16:01:
>Your package failed to build on the buildds:
>
>checking for dseupd_ in -larpack... yes
>configure: WARNING: No parallel arpack found.
>checking for pdneupd_ in -lparpack... no
>checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
>checking for dmumps_ in -ldmumps_scotch... yes
>checking for umfpack_di_defaults in -lumfpack... yes
>checking for mtc_init in -lmatc... yes
>configure: error: The MPI version needs parpack. Disabling MPI.
>checking for main in -lm... yes
>make: *** [stamp-build] Error 1

Now that #652264 is fixed, the package was built successfully on most 
architectures. However, it still FTBFS (with the same error message) on 
mips* and s390:
https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=mips&ver=6.1.0.svn.5396.dfsg-3&stamp=1325724137
https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=mipsel&ver=6.1.0.svn.5396.dfsg-3&stamp=1325723573
https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=s390&ver=6.1.0.svn.5396.dfsg-3&stamp=1325730212

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Sat, 07 Jan 2012 19:57:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 07 Jan 2012 19:57:43 GMT) Full text and rfc822 format available.

Message #48 received at 652061@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 652061@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre.ledru@inria.fr>, control@bugs.debian.org
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Sat, 07 Jan 2012 11:54:56 -0800
[Message part 1 (text/plain, inline)]
tags 652061 pending
thanks

On Thu, 2012-01-05 at 12:11 +0100, Jakub Wilk wrote:
> * Christoph Egger <christoph@debian.org>, 2011-12-14, 16:01:
> >Your package failed to build on the buildds:
> >
> >checking for dseupd_ in -larpack... yes
> >configure: WARNING: No parallel arpack found.
> >checking for pdneupd_ in -lparpack... no
> >checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
> >checking for dmumps_ in -ldmumps_scotch... yes
> >checking for umfpack_di_defaults in -lumfpack... yes
> >checking for mtc_init in -lmatc... yes
> >configure: error: The MPI version needs parpack. Disabling MPI.
> >checking for main in -lm... yes
> >make: *** [stamp-build] Error 1
> 
> Now that #652264 is fixed, the package was built successfully on most 
> architectures. However, it still FTBFS (with the same error message) on 
> mips* and s390:
> https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=mips&ver=6.1.0.svn.5396.dfsg-3&stamp=1325724137
> https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=mipsel&ver=6.1.0.svn.5396.dfsg-3&stamp=1325723573
> https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=s390&ver=6.1.0.svn.5396.dfsg-3&stamp=1325730212

Indeed.  I just realized there's a new libparpack2-dev package, added
that to the Elmer Build-Depends (it's fixed in alioth) and it should
work when I upload -- when I have some free bandwidth.

Sorry, should have realized that when this bug was first filed.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Sat, 07 Jan 2012 19:57:51 GMT) Full text and rfc822 format available.

Reply sent to hazelsct@debian.org ("Adam C. Powell, IV"):
You have taken responsibility. (Mon, 09 Jan 2012 04:51:04 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 09 Jan 2012 04:51:04 GMT) Full text and rfc822 format available.

Message #55 received at 652061-close@bugs.debian.org (full text, mbox):

From: hazelsct@debian.org ("Adam C. Powell, IV")
To: 652061-close@bugs.debian.org
Subject: Bug#652061: fixed in elmerfem 6.1.0.svn.5396.dfsg-4
Date: Mon, 09 Jan 2012 04:48:30 +0000
Source: elmerfem
Source-Version: 6.1.0.svn.5396.dfsg-4

We believe that the bug you reported is fixed in the latest version of
elmerfem, which is due to be installed in the Debian FTP archive:

elmer-common_6.1.0.svn.5396.dfsg-4_all.deb
  to main/e/elmerfem/elmer-common_6.1.0.svn.5396.dfsg-4_all.deb
elmer-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
  to main/e/elmerfem/elmer-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
elmer_6.1.0.svn.5396.dfsg-4_amd64.deb
  to main/e/elmerfem/elmer_6.1.0.svn.5396.dfsg-4_amd64.deb
elmerfem_6.1.0.svn.5396.dfsg-4.debian.tar.gz
  to main/e/elmerfem/elmerfem_6.1.0.svn.5396.dfsg-4.debian.tar.gz
elmerfem_6.1.0.svn.5396.dfsg-4.dsc
  to main/e/elmerfem/elmerfem_6.1.0.svn.5396.dfsg-4.dsc
elmergui-samples_6.1.0.svn.5396.dfsg-4_all.deb
  to main/e/elmerfem/elmergui-samples_6.1.0.svn.5396.dfsg-4_all.deb
libelmer-dev_6.1.0.svn.5396.dfsg-4_amd64.deb
  to main/e/elmerfem/libelmer-dev_6.1.0.svn.5396.dfsg-4_amd64.deb
libelmersolver-6.1_6.1.0.svn.5396.dfsg-4_amd64.deb
  to main/e/elmerfem/libelmersolver-6.1_6.1.0.svn.5396.dfsg-4_amd64.deb
libelmersolver-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
  to main/e/elmerfem/libelmersolver-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652061@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
"Adam C. Powell, IV" <hazelsct@debian.org> (supplier of updated elmerfem package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jan 2012 18:59:57 -0800
Source: elmerfem
Binary: elmer elmer-dbg elmer-common libelmersolver-6.1 libelmersolver-dbg libelmer-dev elmergui-samples
Architecture: source amd64 all
Version: 6.1.0.svn.5396.dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: "Adam C. Powell, IV" <hazelsct@debian.org>
Description: 
 elmer      - finite element multiphysics suite - binaries
 elmer-common - finite element multiphysics suite - architecture-independent file
 elmer-dbg  - finite element multiphysics suite - debugging symbols
 elmergui-samples - ElmerGUI samples directory
 libelmer-dev - finite element multiphysics suite - development files
 libelmersolver-6.1 - finite element multiphysics suite - library
 libelmersolver-dbg - finite element multiphysics suite - library debugging symbols
Closes: 652061
Changes: 
 elmerfem (6.1.0.svn.5396.dfsg-4) unstable; urgency=low
 .
   * Added libparpack2-dev to Build-Depends (closes: #652061).
   * Changed tcl/tk 8.4 dependency to 8.5.
Checksums-Sha1: 
 5abd562ad6c9109e5cf800ee0ead055928d2c6bc 2365 elmerfem_6.1.0.svn.5396.dfsg-4.dsc
 70d8f85414e63228bd015528c028805391f7b46a 22992 elmerfem_6.1.0.svn.5396.dfsg-4.debian.tar.gz
 06fc07a4a9f4aaf77af8145bf3906fe2610bec9e 3384648 elmer_6.1.0.svn.5396.dfsg-4_amd64.deb
 af12bea73ed928130b79ca98228ce9c7f6646106 426000 elmer-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
 a4fcd34a36b7cacd6bd7710f6f141a541793f848 2624128 libelmersolver-6.1_6.1.0.svn.5396.dfsg-4_amd64.deb
 34daaf5c7ba925a62ff7b11fef02f3ebffe2fb46 154986 libelmersolver-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
 11ce9d278d17e823f8e37a58c82c087eb23559c1 4159402 libelmer-dev_6.1.0.svn.5396.dfsg-4_amd64.deb
 1e884a8e79733282364bcde090ed00ffc23c370e 1528292 elmer-common_6.1.0.svn.5396.dfsg-4_all.deb
 788b7209ccdea093f474aab6b93ad4e2881fc9b1 2491936 elmergui-samples_6.1.0.svn.5396.dfsg-4_all.deb
Checksums-Sha256: 
 800dfa7448a4d0999f51f12bb50b662c57f7f41115b0607c2b9aefd4c6a07b8c 2365 elmerfem_6.1.0.svn.5396.dfsg-4.dsc
 73daff63b5556ebd790c6d116ff48951cfd0e84064e6c2b7a4ff540bcbf381e0 22992 elmerfem_6.1.0.svn.5396.dfsg-4.debian.tar.gz
 45ca84b621800e21c0a978fab3dcf4dde43ef62cc967d5ba979f67b80ce8cd34 3384648 elmer_6.1.0.svn.5396.dfsg-4_amd64.deb
 4e927a6ebfb3081d23e93f7cc2690fbef9fdc052aa8317feceae89592620e94d 426000 elmer-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
 942175ae33fc5b22b5a7fb28df59307f8283d4fff21afd5487eee3141d364297 2624128 libelmersolver-6.1_6.1.0.svn.5396.dfsg-4_amd64.deb
 aaa077cb3ae183a220ebfd4e1581de4afc0c2bc053f99739b45bc3373d257245 154986 libelmersolver-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
 3e074ab26a74974865ca6e5efc8e554b96b4dc2501171d2f87dbf4e153b3e6b3 4159402 libelmer-dev_6.1.0.svn.5396.dfsg-4_amd64.deb
 de52d56fc0698cc21372c8a58c40cb27517ce15df596f56a92413b802b116073 1528292 elmer-common_6.1.0.svn.5396.dfsg-4_all.deb
 9f653a5abff42f82f243678f709405de1066e397f94cc67a40199356ac151052 2491936 elmergui-samples_6.1.0.svn.5396.dfsg-4_all.deb
Files: 
 7bc2fe03f03ee460d18ae43ca3a04068 2365 science extra elmerfem_6.1.0.svn.5396.dfsg-4.dsc
 2b9c248566cfedb3f0ab5612579e5a5a 22992 science extra elmerfem_6.1.0.svn.5396.dfsg-4.debian.tar.gz
 dfb9bc7073eb1cfe4e5c1147b32c9f0d 3384648 science extra elmer_6.1.0.svn.5396.dfsg-4_amd64.deb
 9bfdd27880ea0e015b1d12865220c150 426000 debug extra elmer-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
 88d71473a6fbd4d586a404559fdf1536 2624128 libs extra libelmersolver-6.1_6.1.0.svn.5396.dfsg-4_amd64.deb
 7c6701c71f77e21b095d32dc96761328 154986 debug extra libelmersolver-dbg_6.1.0.svn.5396.dfsg-4_amd64.deb
 8fb6350870763b28a26b47d0e0863a58 4159402 libdevel extra libelmer-dev_6.1.0.svn.5396.dfsg-4_amd64.deb
 b1edbe3c158fdf711a116c8310bea72a 1528292 science extra elmer-common_6.1.0.svn.5396.dfsg-4_all.deb
 916fba631a63a0582aae867176ee13ee 2491936 science extra elmergui-samples_6.1.0.svn.5396.dfsg-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8KawIACgkQUm8B6FZO5LbKHgCZAXc9P6dLJrPZuMT1WCESiIbC
FYUAn0BT8mc2z4OySQgGGXCkTesgd+IZ
=js6s
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Tue, 10 Jan 2012 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 10 Jan 2012 09:42:06 GMT) Full text and rfc822 format available.

Message #60 received at 652061@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Jakub Wilk <jwilk@debian.org>, 652061@bugs.debian.org
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Tue, 10 Jan 2012 06:13:04 +0100
Le samedi 07 janvier 2012 à 11:54 -0800, Adam C Powell IV a écrit :
> tags 652061 pending
> thanks
> 
> On Thu, 2012-01-05 at 12:11 +0100, Jakub Wilk wrote:
> > * Christoph Egger <christoph@debian.org>, 2011-12-14, 16:01:
> > 
> Indeed.  I just realized there's a new libparpack2-dev package
Actually, there is a dependency of libarpack => libparpack. So, linking
just against libarpack should do it.
(but I do appreciate your switch)

Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#652061; Package src:elmerfem. (Tue, 10 Jan 2012 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 10 Jan 2012 12:24:13 GMT) Full text and rfc822 format available.

Message #65 received at 652061@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 652061@bugs.debian.org, 652264@bugs.debian.org, 653616@bugs.debian.org
Cc: Jakub Wilk <jwilk@debian.org>, Sylvestre Ledru <sylvestre.ledru@inria.fr>, control@bugs.debian.org
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Tue, 10 Jan 2012 07:19:46 -0500
[Message part 1 (text/plain, inline)]
found 652061 6.1.0.svn.5396.dfsg-4
reopen 652264
thanks

Hi Sylvestre,

The bug persists on mips(el?) and s390, but not on sparc.

I wonder if the problem is related to bug 653616: -lmpich is not
sufficient to build with MPICH2 because those libraries are not linked
to libs whose symbols they need.  ScaLAPACK works around this by
explicitly linking to all of the MPICH2 libraries, and its dependencies
(MUMPS, PETSc etc.) inherit this linkage so they don't break.

To test I'll need to log into an s390 or mips test machine at some
point...

-Adam

On Sat, 2012-01-07 at 11:54 -0800, Adam C Powell IV wrote:
> tags 652061 pending
> thanks
> 
> On Thu, 2012-01-05 at 12:11 +0100, Jakub Wilk wrote:
> > * Christoph Egger <christoph@debian.org>, 2011-12-14, 16:01:
> > >Your package failed to build on the buildds:
> > >
> > >checking for dseupd_ in -larpack... yes
> > >configure: WARNING: No parallel arpack found.
> > >checking for pdneupd_ in -lparpack... no
> > >checking for HYPRE_IJMatrixCreate in -lHYPRE_IJ_mv... yes
> > >checking for dmumps_ in -ldmumps_scotch... yes
> > >checking for umfpack_di_defaults in -lumfpack... yes
> > >checking for mtc_init in -lmatc... yes
> > >configure: error: The MPI version needs parpack. Disabling MPI.
> > >checking for main in -lm... yes
> > >make: *** [stamp-build] Error 1
> > 
> > Now that #652264 is fixed, the package was built successfully on most 
> > architectures. However, it still FTBFS (with the same error message) on 
> > mips* and s390:
> > https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=mips&ver=6.1.0.svn.5396.dfsg-3&stamp=1325724137
> > https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=mipsel&ver=6.1.0.svn.5396.dfsg-3&stamp=1325723573
> > https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=s390&ver=6.1.0.svn.5396.dfsg-3&stamp=1325730212
> 
> Indeed.  I just realized there's a new libparpack2-dev package, added
> that to the Elmer Build-Depends (it's fixed in alioth) and it should
> work when I upload -- when I have some free bandwidth.
> 
> Sorry, should have realized that when this bug was first filed.
> 
> -Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions elmerfem/6.1.0.svn.5396.dfsg-4; no longer marked as fixed in versions elmerfem/6.1.0.svn.5396.dfsg-4 and reopened. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Tue, 10 Jan 2012 12:27:38 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 652061: 653616 Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Mon, 16 Jan 2012 02:24:07 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions elmerfem/6.1.0.svn.5396.dfsg-3. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 11:15:14 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions elmerfem/6.1.0.svn.5396.dfsg-4. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 11:15:14 GMT) Full text and rfc822 format available.

Reply sent to Adam C Powell IV <hazelsct@debian.org>:
You have taken responsibility. (Mon, 30 Jan 2012 11:15:22 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 30 Jan 2012 11:15:28 GMT) Full text and rfc822 format available.

Message #78 received at 652061-done@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 652061-done@bugs.debian.org, 652264-done@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre.ledru@inria.fr>, control@bugs.debian.org
Subject: Re: Bug#652061: elmerfem: FTBFS missing build-dependencvy?
Date: Mon, 30 Jan 2012 06:13:33 -0500
[Message part 1 (text/plain, inline)]
fixed 652264 3.0.1-1
fixed 652264 3.0.2-3
fixed 652061 6.1.0.svn.5396.dfsg-3
fixed 652061 6.1.0.svn.5396.dfsg-4
thanks

On Tue, 2012-01-10 at 07:19 -0500, Adam C Powell IV wrote:
> found 652061 6.1.0.svn.5396.dfsg-4
> reopen 652264
> thanks
> 
> Hi Sylvestre,
> 
> The bug persists on mips(el?) and s390, but not on sparc.
> 
> I wonder if the problem is related to bug 653616: -lmpich is not
> sufficient to build with MPICH2 because those libraries are not linked
> to libs whose symbols they need.  ScaLAPACK works around this by
> explicitly linking to all of the MPICH2 libraries, and its dependencies
> (MUMPS, PETSc etc.) inherit this linkage so they don't break.
> 
> To test I'll need to log into an s390 or mips test machine at some
> point...

All indications are that this error was a result of bug 653616, which
was closed last week, so I'm going to declare these fixed, and will
reopen them if elmerfem FTBFS again.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

No longer marked as fixed in versions elmerfem/6.1.0.svn.5396.dfsg-3. Request was from Mark-Willem Jansen <markwillem@hotmail.com> to control@bugs.debian.org. (Wed, 14 Mar 2012 13:48:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions elmerfem/6.1.0.svn.5396.dfsg-4. Request was from Mark-Willem Jansen <markwillem@hotmail.com> to control@bugs.debian.org. (Wed, 14 Mar 2012 13:48:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Apr 2012 07:38:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:12:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.